The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

mod_security plugin apache2

Discussion in 'EasyApache' started by manuxer, Aug 23, 2007.

  1. manuxer

    manuxer Active Member

    Joined:
    Aug 16, 2006
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    I compiled apache2 with mod_security, and mod security apear in WHM at plugins, but when i acces it, there is no information in that page, like it was in mod_security plugin with apache1.
    How can i see if mod_security is function, and the mod_security list from database.
    Thank you!
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    It works for me (after I remembered to compile in mod_security support).

    Did you enable Unique ID support when compiling Apache 2? I know the new EA will throw an error if you forget to do this.

    Remember to enable mod_security in EA as well.

    Version of EA I am using: Easy::Apache v3.0.1 Rev2049

    Note I'm on the NIGHTLY build, so it's likely whatever issue you are experiencing may be resolved in the next EDGE release.
     
  3. manuxer

    manuxer Active Member

    Joined:
    Aug 16, 2006
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    I enabled unique id support. I'll wait for the next cpanel release, and do a apache rebuild.
     
Loading...

Share This Page